body.overflow-hidden {
  overflow: hidden;
}
body::-webkit-scrollbar {
  /*滚动条整体样式*/
  width: 4px;
  /*高宽分别对应横竖滚动条的尺寸*/
  height: 1px;
  border-radius: 4px;
}
body::-webkit-scrollbar-thumb {
  /*滚动条里面小方块*/
  background: #000;
}
body::-webkit-scrollbar-track {
  background: transparent;
}
.page-heading {
  text-align: center;
  font-weight: 500;
  font-size: 38px;
  margin: 40px 0;
}
.page-heading .page-title {
  font-weight: 500;
  font-size: 38px;
}
.page-heading .breadcrumb {
  font-size: 14px;
  color: var(--main-text-color);
}
.page-heading .breadcrumb .breadcrumb {
  color: var(--main-text-color);
}
.page-heading .breadcrumb .breadcrumb a {
  color: inherit!important;
}
.page-heading .breadcrumb .breadcrumb .activate {
  color: var(--main-text-color);
}
#cart-drawer {
  position: fixed;
  z-index: 1000;
  right: 0;
  top: 0;
  width: 100vw;
  height: 100%;
  display: flex;
  justify-content: flex-end;
  background-color: rgba(0, 0, 0, 0.5);
  color: #000;
  visibility: hidden;
  transition: visibility 0.2s ease;
}
#cart-drawer.activate {
  visibility: visible;
}
#cart-drawer.activate ._inner {
  transform: translate(0) !important;
}
#cart-drawer ._overlay {
  flex-grow: 1;
  height: 100%;
}
#cart-drawer ._inner {
  background-color: #fff;
  width: 400px;
  flex-shrink: 0;
  transform: translate(100%);
  transition: transform 0.2s ease;
  display: flex;
  flex-direction: column;
  /*&.show{
            transform: translate(0);
        }*/
}
#cart-drawer ._inner .heading {
  display: flex;
  justify-content: space-between;
  padding: 15px;
}
#cart-drawer ._inner .heading .text {
  font-size: 24px;
  font-weight: bold;
}
#cart-drawer ._inner .heading .text i {
  margin-right: 4px;
  font-size: 24px;
}
#cart-drawer ._inner .heading ._close {
  background-color: transparent;
  border: none;
  outline: none;
  cursor: pointer;
}
#cart-drawer ._inner .heading ._close i {
  font-size: 20px;
  font-weight: 100;
}
#cart-drawer ._inner .footing {
  justify-self: flex-end;
  padding: 20px 15px;
  border-top: 1px solid #eee;
}
#cart-drawer ._inner .footing .totals {
  display: flex;
  justify-content: space-between;
  margin-bottom: 10px;
}
#cart-drawer ._inner .footing .totals.total {
  font-weight: bold;
}
#cart-drawer ._inner .footing #apex-cart-discount-row {
  display: none;
}
#cart-drawer ._inner .footing ._checkout-btn {
  width: 100%;
  height: 44px;
  border-radius: 44px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #000;
  color: #fff;
  font-size: 18px;
  font-weight: bold;
  margin-top: 15px;
}
#cart-drawer ._inner .footing ._checkout-btn.disabled {
  opacity: 0.3;
  cursor: no-drop;
}
#cart-drawer ._inner ._contents {
  flex-grow: 1;
  height: 87%;
}
#cart-drawer ._inner ._contents .rowgroup {
  display: flex;
  justify-content: space-between;
  color: rgba(14, 14, 14, 0.2);
  font-size: 12px;
  padding: 0 15px;
}
#cart-drawer ._inner ._contents .rowgroup span {
  display: inline-block;
  width: 50%;
  flex-shrink: 0;
  border-bottom: 1px solid rgba(14, 14, 14, 0.1);
  padding-bottom: 10px;
}
#cart-drawer ._inner ._contents .rowgroup span:last-child {
  text-align: right;
}
#cart-drawer ._inner ._contents .items {
  overflow-y: auto;
  height: calc(100% - 27px);
  padding: 0 15px;
}
#cart-drawer ._inner ._contents .items::-webkit-scrollbar {
  /*滚动条整体样式*/
  width: 4px;
  /*高宽分别对应横竖滚动条的尺寸*/
  height: 1px;
}
#cart-drawer ._inner ._contents .items::-webkit-scrollbar-thumb {
  /*滚动条里面小方块*/
  background: #000;
}
#cart-drawer ._inner ._contents .items::-webkit-scrollbar-track {
  background: #dbdbdb;
}
#cart-drawer ._inner ._contents .items ._goods {
  display: flex;
  justify-content: space-between;
  padding: 10px 0;
  border-bottom: 1px solid #eee;
}
#cart-drawer ._inner ._contents .items ._goods .img-wrap {
  width: 100px;
  height: 100px;
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: #000;
}
#cart-drawer ._inner ._contents .items ._goods .img-wrap img {
  width: 100%;
}
#cart-drawer ._inner ._contents .items ._goods .info-wrap {
  padding-left: 10px;
  width: 180px;
  flex-shrink: 0;
}
#cart-drawer ._inner ._contents .items ._goods .info-wrap .name {
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 10px;
}
#cart-drawer ._inner ._contents .items ._goods .info-wrap .price {
  font-size: 14px;
  color: #333;
  font-weight: normal;
  margin-bottom: 10px;
}
#cart-drawer ._inner ._contents .items ._goods .info-wrap .qu-su {
  position: relative;
  border: 1px solid #eee;
  height: 32px;
  border-radius: 32px;
  width: 120px;
}
#cart-drawer ._inner ._contents .items ._goods .info-wrap .qu-su i {
  position: absolute;
  top: 50%;
  transform: translateY(-50%);
  width: 42px;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
  cursor: pointer;
}
#cart-drawer ._inner ._contents .items ._goods .info-wrap .qu-su i.apex-cart-product-reduce {
  left: 0;
}
#cart-drawer ._inner ._contents .items ._goods .info-wrap .qu-su i.apex-cart-product-add {
  right: 0;
}
#cart-drawer ._inner ._contents .items ._goods .info-wrap .qu-su ._qu_input {
  width: 100%;
  height: 100%;
  border: 1px solid #fff;
  padding-left: 30px;
  padding-right: 30px;
  text-align: center;
  font-size: 14px;
  background-color: transparent;
  color: #000;
  border-radius: 28px;
}
#cart-drawer ._inner ._contents .items ._goods .total {
  position: relative;
}
#cart-drawer ._inner ._contents .items ._goods .total .p-price {
  font-weight: bold;
  font-size: 16px;
}
#cart-drawer ._inner ._contents .items ._goods .total .remove {
  position: absolute;
  bottom: 16px;
  width: 100%;
  left: 0;
  font-size: 14px;
  color: #333;
  text-align: right;
}
#cart-drawer ._inner ._contents .items ._goods .total .remove:hover {
  color: #e54141;
}
#cart-drawer .cart-empty-tips {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: center;
  align-items: center;
}
footer {
  position: relative;
  width: 100%;
  background: rgba(255, 255, 255, 0.1);
  padding: 60px 0;
  margin-top: 60px;
}
footer .content-top {
  padding: 0 50px;
}
footer .content-top .blocks-wrapper {
  display: flex;
  justify-content: space-between;
  width: 1200px;
  margin: 0 auto;
}
footer .content-top .blocks-wrapper .block-grid {
  width: calc(25% - 20px);
  color: #fff;
}
footer .content-top .blocks-wrapper .block-grid a {
  color: #fff;
}
footer .content-top .blocks-wrapper .block-grid .title {
  font-size: 18px;
  font-weight: bold;
  margin-bottom: 20px;
}
footer .content-top .blocks-wrapper .block-grid .navigator ul li {
  font-size: 14px;
}
footer .content-top .blocks-wrapper .block-grid .navigator ul li a {
  color: rgba(255, 255, 255, 0.75);
  height: 35px;
  line-height: 35px;
}
footer .content-top .blocks-wrapper .block-grid .mission .desc {
  color: rgba(255, 255, 255, 0.75);
  font-size: 14px;
  line-height: 1.6;
}
footer .content-top .blocks-wrapper .block-grid .text-center {
  text-align: center;
}
footer .content-top .blocks-wrapper .block-grid .placeholder-svg {
  background-color: rgba(255, 255, 255, 0.1);
  color: rgba(255, 255, 255, 0.55);
  fill: rgba(255, 255, 255, 0.55);
  width: 210px;
  margin: 0 auto;
}
footer .content-bottom {
  border-top: solid 1px rgba(255, 255, 255, 0.2);
  padding-top: 30px;
  margin-top: 50px;
}
footer .content-bottom .copyright {
  color: #fff;
  text-align: center;
  font-size: 14px;
  opacity: 0.7;
}
